gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.Revealer

Contents

- Exported types
- Methods
  - getChildRevealed
  - getRevealChild
  - getTransitionDuration
  - getTransitionType
  - new
  - setRevealChild
  - setTransitionDuration
  - setTransitionType
- Properties
  - childRevealed
  - revealChild
  - transitionDuration
  - transitionType

Description

The GtkRevealer widget is a container which animates the transition of its child from invisible to visible.

The style of transition can be controlled with `revealerSetTransitionType`.

These animations respect the Settings:gtkEnableAnimations setting.

# CSS nodes

GtkRevealer has a single CSS node with name revealer.

The GtkRevealer widget was added in GTK+ 3.10.

Synopsis

- newtype Revealer = Revealer (ManagedPtr Revealer)
- class (GObject o, IsDescendantOf Revealer o) => IsRevealer o
- toRevealer :: (MonadIO m, IsRevealer o) => o -> m Revealer
- revealerGetChildRevealed :: (HasCallStack, MonadIO m, IsRevealer a) => a -> m Bool
- revealerGetRevealChild :: (HasCallStack, MonadIO m, IsRevealer a) => a -> m Bool
- revealerGetTransitionDuration :: (HasCallStack, MonadIO m, IsRevealer a) => a -> m Word32
- revealerGetTransitionType :: (HasCallStack, MonadIO m, IsRevealer a) => a -> m RevealerTransitionType
- revealerNew :: (HasCallStack, MonadIO m) => m Revealer
- revealerSetRevealChild :: (HasCallStack, MonadIO m, IsRevealer a) => a -> Bool -> m ()
- revealerSetTransitionDuration :: (HasCallStack, MonadIO m, IsRevealer a) => a -> Word32 -> m ()
- revealerSetTransitionType :: (HasCallStack, MonadIO m, IsRevealer a) => a -> RevealerTransitionType -> m ()
- getRevealerChildRevealed :: (MonadIO m, IsRevealer o) => o -> m Bool
- constructRevealerRevealChild :: (IsRevealer o, MonadIO m) => Bool -> m (GValueConstruct o)
- getRevealerRevealChild :: (MonadIO m, IsRevealer o) => o -> m Bool
- setRevealerRevealChild :: (MonadIO m, IsRevealer o) => o -> Bool -> m ()
- constructRevealerTransitionDuration :: (IsRevealer o, MonadIO m) => Word32 -> m (GValueConstruct o)
- getRevealerTransitionDuration :: (MonadIO m, IsRevealer o) => o -> m Word32
- setRevealerTransitionDuration :: (MonadIO m, IsRevealer o) => o -> Word32 -> m ()
- constructRevealerTransitionType :: (IsRevealer o, MonadIO m) => RevealerTransitionType -> m (GValueConstruct o)
- getRevealerTransitionType :: (MonadIO m, IsRevealer o) => o -> m RevealerTransitionType
- setRevealerTransitionType :: (MonadIO m, IsRevealer o) => o -> RevealerTransitionType -> m ()

# Exported types

newtype Revealer Source #

Memory-managed wrapper type.

Constructors

Revealer (ManagedPtr Revealer) |

#### Instances

Instances details

Eq Revealer Source # |
Instance details Defined in GI.Gtk.Objects.Revealer Methods (==) :: Revealer -> Revealer -> Bool Source # (/=) :: Revealer -> Revealer -> Bool Source #
GObject Revealer Source # |
Instance details Defined in GI.Gtk.Objects.Revealer
ManagedPtrNewtype Revealer Source # |
Instance details Defined in GI.Gtk.Objects.Revealer Methods toManagedPtr :: Revealer -> ManagedPtr Revealer Source #
TypedObject Revealer Source # |
Instance details Defined in GI.Gtk.Objects.Revealer Methods glibType :: IO GType Source #
HasParentTypes Revealer Source # |
Instance details Defined in GI.Gtk.Objects.Revealer
IsGValue (Maybe Revealer) Source # | Convert `Revealer` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.Revealer Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe Revealer -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe Revealer) Source #
type ParentTypes Revealer Source # |
Instance details Defined in GI.Gtk.Objects.Revealer type ParentTypes Revealer = '[Bin, Container, Widget, Object, ImplementorIface, Buildable]

class (GObject o, IsDescendantOf Revealer o) => IsRevealer o Source #

Type class for types which can be safely cast to `Revealer`, for instance with `toRevealer`.

#### Instances

Instances details

(GObject o, IsDescendantOf Revealer o) => IsRevealer o Source # |
Instance details Defined in GI.Gtk.Objects.Revealer

toRevealer :: (MonadIO m, IsRevealer o) => o -> m Revealer Source #

Cast to `Revealer`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

activate, add, addAccelerator, addChild, addDeviceEvents, addEvents, addMnemonicLabel, addTickCallback, bindProperty, bindPropertyFull, canActivateAccel, checkResize, childFocus, childGetProperty, childNotify, childNotifyByPspec, childSetProperty, childType, classPath, computeExpand, constructChild, createPangoContext, createPangoLayout, customFinished, customTagEnd, customTagStart, destroy, destroyed, deviceIsShadowed, dragBegin, dragBeginWithCoordinates, dragCheckThreshold, dragDestAddImageTargets, dragDestAddTextTargets, dragDestAddUriTargets, dragDestFindTarget, dragDestGetTargetList, dragDestGetTrackMotion, dragDestSet, dragDestSetProxy, dragDestSetTargetList, dragDestSetTrackMotion, dragDestUnset, dragGetData, dragHighlight, dragSourceAddImageTargets, dragSourceAddTextTargets, dragSourceAddUriTargets, dragSourceGetTargetList, dragSourceSet, dragSourceSetIconGicon, dragSourceSetIconName, dragSourceSetIconPixbuf, dragSourceSetIconStock, dragSourceSetTargetList, dragSourceUnset, dragUnhighlight, draw, ensureStyle, errorBell, event, forall, forceFloating, foreach, freezeChildNotify, freezeNotify, getv, grabAdd, grabDefault, grabFocus, grabRemove, hasDefault, hasFocus, hasGrab, hasRcStyle, hasScreen, hasVisibleFocus, hide, hideOnDelete, inDestruction, initTemplate, inputShapeCombineRegion, insertActionGroup, intersect, isAncestor, isComposited, isDrawable, isFloating, isFocus, isSensitive, isToplevel, isVisible, keynavFailed, listAccelClosures, listActionPrefixes, listMnemonicLabels, map, mnemonicActivate, modifyBase, modifyBg, modifyCursor, modifyFg, modifyFont, modifyStyle, modifyText, notify, notifyByPspec, overrideBackgroundColor, overrideColor, overrideCursor, overrideFont, overrideSymbolicColor, parserFinished, path, propagateDraw, queueAllocate, queueComputeExpand, queueDraw, queueDrawArea, queueDrawRegion, queueResize, queueResizeNoRedraw, realize, ref, refSink, regionIntersect, registerWindow, remove, removeAccelerator, removeMnemonicLabel, removeTickCallback, renderIcon, renderIconPixbuf, reparent, resetRcStyles, resetStyle, resizeChildren, runDispose, sendExpose, sendFocusChange, shapeCombineRegion, show, showAll, showNow, sizeAllocate, sizeAllocateWithBaseline, sizeRequest, stealData, stealQdata, styleAttach, styleGetProperty, thawChildNotify, thawNotify, translateCoordinates, triggerTooltipQuery, unmap, unparent, unrealize, unref, unregisterWindow, unsetFocusChain, unsetStateFlags, watchClosure.

#### Getters

getAccessible, getActionGroup, getAllocatedBaseline, getAllocatedHeight, getAllocatedSize, getAllocatedWidth, getAllocation, getAncestor, getAppPaintable, getBorderWidth, getCanDefault, getCanFocus, getChild, getChildRequisition, getChildRevealed, getChildVisible, getChildren, getClip, getClipboard, getCompositeName, getData, getDeviceEnabled, getDeviceEvents, getDirection, getDisplay, getDoubleBuffered, getEvents, getFocusChain, getFocusChild, getFocusHadjustment, getFocusOnClick, getFocusVadjustment, getFontMap, getFontOptions, getFrameClock, getHalign, getHasTooltip, getHasWindow, getHexpand, getHexpandSet, getInternalChild, getMapped, getMarginBottom, getMarginEnd, getMarginLeft, getMarginRight, getMarginStart, getMarginTop, getModifierMask, getModifierStyle, getName, getNoShowAll, getOpacity, getPangoContext, getParent, getParentWindow, getPath, getPathForChild, getPointer, getPreferredHeight, getPreferredHeightAndBaselineForWidth, getPreferredHeightForWidth, getPreferredSize, getPreferredWidth, getPreferredWidthForHeight, getProperty, getQdata, getRealized, getReceivesDefault, getRequestMode, getRequisition, getResizeMode, getRevealChild, getRootWindow, getScaleFactor, getScreen, getSensitive, getSettings, getSizeRequest, getState, getStateFlags, getStyle, getStyleContext, getSupportMultidevice, getTemplateChild, getTooltipMarkup, getTooltipText, getTooltipWindow, getToplevel, getTransitionDuration, getTransitionType, getValign, getValignWithBaseline, getVexpand, getVexpandSet, getVisible, getVisual, getWindow.

#### Setters

setAccelPath, setAllocation, setAppPaintable, setBorderWidth, setBuildableProperty, setCanDefault, setCanFocus, setChildVisible, setClip, setCompositeName, setData, setDataFull, setDeviceEnabled, setDeviceEvents, setDirection, setDoubleBuffered, setEvents, setFocusChain, setFocusChild, setFocusHadjustment, setFocusOnClick, setFocusVadjustment, setFontMap, setFontOptions, setHalign, setHasTooltip, setHasWindow, setHexpand, setHexpandSet, setMapped, setMarginBottom, setMarginEnd, setMarginLeft, setMarginRight, setMarginStart, setMarginTop, setName, setNoShowAll, setOpacity, setParent, setParentWindow, setProperty, setRealized, setReallocateRedraws, setReceivesDefault, setRedrawOnAllocate, setResizeMode, setRevealChild, setSensitive, setSizeRequest, setState, setStateFlags, setStyle, setSupportMultidevice, setTooltipMarkup, setTooltipText, setTooltipWindow, setTransitionDuration, setTransitionType, setValign, setVexpand, setVexpandSet, setVisible, setVisual, setWindow.

## getChildRevealed

revealerGetChildRevealed Source #

Arguments

:: (HasCallStack, MonadIO m, IsRevealer a) |
=> a | `revealer`: a `Revealer`
-> m Bool | Returns: `True` if the child is fully revealed

Returns whether the child is fully revealed, in other words whether the transition to the revealed state is completed.

Since: 3.10

## getRevealChild

revealerGetRevealChild Source #

Arguments

:: (HasCallStack, MonadIO m, IsRevealer a) |
=> a | `revealer`: a `Revealer`
-> m Bool | Returns: `True` if the child is revealed.

Returns whether the child is currently revealed. See `revealerSetRevealChild`.

This function returns `True` as soon as the transition is to the revealed state is started. To learn whether the child is fully revealed (ie the transition is completed), use `revealerGetChildRevealed`.

Since: 3.10

## getTransitionDuration

revealerGetTransitionDuration Source #

Arguments

:: (HasCallStack, MonadIO m, IsRevealer a) |
=> a | `revealer`: a `Revealer`
-> m Word32 | Returns: the transition duration

Returns the amount of time (in milliseconds) that transitions will take.

Since: 3.10

## getTransitionType

revealerGetTransitionType Source #

Arguments

:: (HasCallStack, MonadIO m, IsRevealer a) |
=> a | `revealer`: a `Revealer`
-> m RevealerTransitionType | Returns: the current transition type of `revealer`

Gets the type of animation that will be used for transitions in `revealer`.

Since: 3.10

## new

revealerNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Revealer | Returns: a newly created `Revealer`

Creates a new `Revealer`.

Since: 3.10

## setRevealChild

revealerSetRevealChild Source #

Arguments

:: (HasCallStack, MonadIO m, IsRevealer a) |
=> a | `revealer`: a `Revealer`
-> Bool | `revealChild`: `True` to reveal the child
-> m () |

Tells the `Revealer` to reveal or conceal its child.

The transition will be animated with the current transition type of `revealer`.

Since: 3.10

## setTransitionDuration

revealerSetTransitionDuration Source #

Arguments

:: (HasCallStack, MonadIO m, IsRevealer a) |
=> a | `revealer`: a `Revealer`
-> Word32 | `duration`: the new duration, in milliseconds
-> m () |

Sets the duration that transitions will take.

Since: 3.10

## setTransitionType

revealerSetTransitionType Source #

Arguments

:: (HasCallStack, MonadIO m, IsRevealer a) |
=> a | `revealer`: a `Revealer`
-> RevealerTransitionType | `transition`: the new transition type
-> m () |

Sets the type of animation that will be used for transitions in `revealer`. Available types include various kinds of fades and slides.

Since: 3.10

# Properties

## childRevealed

No description available in the introspection data.

getRevealerChildRevealed :: (MonadIO m, IsRevealer o) => o -> m Bool Source #

Get the value of the “`child-revealed`” property. When overloading is enabled, this is equivalent to

    get revealer #childRevealed

## revealChild

No description available in the introspection data.

constructRevealerRevealChild :: (IsRevealer o, MonadIO m) => Bool -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`reveal-child`” property. This is rarely needed directly, but it is used by `new`.

getRevealerRevealChild :: (MonadIO m, IsRevealer o) => o -> m Bool Source #

Get the value of the “`reveal-child`” property. When overloading is enabled, this is equivalent to

    get revealer #revealChild

setRevealerRevealChild :: (MonadIO m, IsRevealer o) => o -> Bool -> m () Source #

Set the value of the “`reveal-child`” property. When overloading is enabled, this is equivalent to

    set revealer [ #revealChild := value ]

## transitionDuration

No description available in the introspection data.

constructRevealerTransitionDuration :: (IsRevealer o, MonadIO m) => Word32 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`transition-duration`” property. This is rarely needed directly, but it is used by `new`.

getRevealerTransitionDuration :: (MonadIO m, IsRevealer o) => o -> m Word32 Source #

Get the value of the “`transition-duration`” property. When overloading is enabled, this is equivalent to

    get revealer #transitionDuration

setRevealerTransitionDuration :: (MonadIO m, IsRevealer o) => o -> Word32 -> m () Source #

Set the value of the “`transition-duration`” property. When overloading is enabled, this is equivalent to

    set revealer [ #transitionDuration := value ]

## transitionType

No description available in the introspection data.

constructRevealerTransitionType :: (IsRevealer o, MonadIO m) => RevealerTransitionType -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`transition-type`” property. This is rarely needed directly, but it is used by `new`.

getRevealerTransitionType :: (MonadIO m, IsRevealer o) => o -> m RevealerTransitionType Source #

Get the value of the “`transition-type`” property. When overloading is enabled, this is equivalent to

    get revealer #transitionType

setRevealerTransitionType :: (MonadIO m, IsRevealer o) => o -> RevealerTransitionType -> m () Source #

Set the value of the “`transition-type`” property. When overloading is enabled, this is equivalent to

    set revealer [ #transitionType := value ]